package cn.ezhizao.framework.lock;


public class LockKey {

    public static String join(String prefix, Object... vars) {
        StringBuilder builder = new StringBuilder(prefix);
        for (Object var : vars) {
            builder.append(":");
            builder.append(var);
        }
        return builder.toString();
    }

    /**
     * 测试
     */
    public static final String DEMO = "lock:demo";

    public static final String SALARYZERO = "lock:salaryZero";
    public static final String SALARY = "lock:salary";
    public static final String INCOMETAX = "lock:incomeTax";
    public static final String INCOMETAXZERO = "lock:incomeTaxZero";
    public static final String VERIFYNOZERO = "lock:incomeTaxZero";
    public static final String REPORTTAXNONZERODETAIL = "lock:reportTaxnonZero";
    public static final String REPORTTAXZERODETAIL = "lock:reportTaxZeroDetail";

}
